Package: org.gradle.platform.base

## [Java] Interface PlatformContainer

- org.gradle.api.NamedDomainObjectContainer

- All Superinterfaces:
    PolymorphicDomainObjectContainer, ExtensiblePolymorphicDomainObjectContainer, NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Collection, NamedDomainObjectContainer

  A container of Platforms.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ExtensiblePolymorphicDomainObjectContainer` | `registerBinding, registerFactory, registerFactory`
    `interface PolymorphicDomainObjectContainer` | `containerWithType, create, create, maybeCreate`
    `interface org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry` | `org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry#registerFactory(java.lang.Class, org.gradle.api.NamedDomainObjectFactory)`